<nav class="navbar navbar-dark navbar-expand-md bg-dark justify-content-center">
  <a href="/" class="navbar-brand d-flex mr-auto" routerLink="/home">Card Collector</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsingNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="navbar-collapse collapse w-100 align-items-center" id="collapsingNavbar">
    <ul class="navbar-nav w-100 justify-content-start align-items-center">
      <li class="nav-item">
        <a class="nav-link" routerLink="/collection">Collection</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/decks">Decks</a>
      </li>
    </ul>
    <ul class="navbar-nav w-100 justify-content-end align-items-center">
      <li class="nav-item" *ngIf="!userLoggedIn()">
        <a class="nav-link" routerLink="/signup">Sign up</a>
      </li>
      <li class="nav-item" *ngIf="!userLoggedIn()">
        <a class="nav-link" routerLink="/login">Login</a>
      </li>
      <li class="nav-item" *ngIf="userLoggedIn()">
        <span>{{loggedUserName}}</span>
      </li>
      <li class="nav-item" (click)="logout()" *ngIf="userLoggedIn()">
        <a class="nav-link">Logout</a>
      </li>
    </ul>
  </div>
</nav>
<router-outlet></router-outlet>
<hr style="margin: 9vh; border-color: white">
<app-footer></app-footer>
